<%- include('partials/header'); -%>

    <script>
        const form = document.querySelector('form');
        form.addEventListener('submit', async (e) => {
            e.preventDefault();
            // get values
            const email = form.email.value;
            const password = form.password.value;
            try {
                const res = await fetch('/signup', {
                    method: 'POST',
                    body: JSON.stringify({ email, password }),
                    headers: { 'Content-Type': 'application/json' }
                });
            }
            catch (err) {
                console.log(err);
            }
        });
    </script>

    <h1>Sign up</h1>

    <form action="/signup">
        <input type="text" name="email">
        <input type="text" name="password">
        <button>Sign Up</button>
    </form>
 

    <%- include('partials/footer'); -%>